nav ul {
	list-style-type: none;
	padding: 0;
	margin: 0;
	width: 350px;
	margin: 0;
}

nav ul ul {
	margin: 5px;
}

nav a {
	display: block;
	color: #000;
}

nav a:hover {
	background-color: #555;
	color: white;
}

nav {
	float: left;
}

main {
	margin-left: 400px;
}

input.error, p.error, span.error, .error {
	background-color: rgb(230, 0, 0);
	color: white;
}

span.error {
	display: block;
	padding: 0.1em;
}

.todo {
	background-color: red;
}

table.datatable {
	border-collapse: collapse;
	width: 100%;
}

table.datatable caption {
	font-size: 2em;
}

table.datatable-level-2 {
	border-collapse: collapse;
	margin-left: 2em;
}

table.datatable-level-3 {
	border-collapse: collapse;
	margin-left: 2em;
}

table.datatable-level-2 caption {
	font-size: 1.0em;
	text-align: left;
}

table.datatable-level-2 caption {
	font-size: 1.2em;
	text-align: left;
}

table.datatable, table.datatable th, table.datatable td {
	border: 1px solid black;
}

table.datatable th {
	height: 25px;
	/*background-color: #4CAF50;*/
	background-color: #68667E;
	color: white;
	font-weight: bold;
}

table.datatable thead.light th {
	background-color: #8389AA;
}

table.datatable td, table.datatable th {
	border: 1px solid #ddd;
	padding: 5px;
}

table.datatable tr.archived-true {
	background-color: #aaa;
}

table.datatable tr.archived-false:nth-child(even) {
	background-color: #f2f2f2;
}

table.datatable tr:hover {
	background-color: #ddd;
}

table.datatable tfoot {
	background-color: #aaa;
}

table.datatable tfoot tr:hover {
	background-color: #aaa;
}

table.datatable tfoot td {
	text-align: center;
}

table.datatable tfoot a {
	color: white;
	font-weight: bold;
	display: block;
	text-decoration: none;
}

table.availability {
	color: black;
	border-collapse: collapse;
}

table.availability td {
	padding: 3px;
	border: 2px solid black;
}

table.datatable tr.PARTIALLY_COMPLETED {
	background-color: yellow;
}

table.datatable tr.COMPLETED {
	background-color: lime;
}

table.datatable tr.OVER_COMPLETED {
	background-color: red;
}

table.datatable tr.OCCUPIED, table.availability td.OCCUPIED {
	background: red;
}

table.datatable tr.OCCUPIED {
	color: graytext;
}

table.datatable tr.AVAILABLE, table.availability td.AVAILABLE {
	background: green;
}

table.datatable tr.OVERLAPPING, table.availability td.OVERLAPPING {
	background: blue;
}

table.datatable tr.BLOCKED, table.availability td.BLOCKED {
	background: yellow;
}

td.Fundable {
	background: green;
}

td.NotFundable {
	background: red;
}

td.PartiallyFundable {
	background: yellow;
}

tr.segmentnow-true {
	font-weight: bold;
}

fieldset {
	display: grid;
	background: #f9f9f9;
	border: none;
	border-top: 30px solid #8389AA;
	border-radius: 10px;
	margin: 2rem auto 0 auto;
}

fieldset legend {
	font-weight: bold;
	background: #8389AA;
	color: white;
	height: 30px;
}

form input, form select, form textarea {
	background: #fff;
	border: 1px solid #9c9c9c;
	
	text-align: left;
}

input[type='checkbox'] {
	color: red;
	justify-self: start;
}

form textarea {
	height: 125px;
}

form button {
	background: lightgrey;
	padding: 0.7em;
	border: 0;
}

form button:hover {
	background: gold;
}

label {
	padding: 0.5em 0.5em 0.5em 0;
}

input, select, textarea {
	padding: 0.7em;
	margin-bottom: 0.5rem;
}

input:focus, select:focus, textarea:focus {
	outline: 3px solid gold;
}

@media ( min-width : 400px) {
	fieldset {
		grid-template-columns: 200px 1fr;
	}
	label {
		text-align: right;
		grid-column: 1/2;
	}
	input, select, textarea {
		grid-column: 2/3;
	}
}

div.inputWithSelect input, div.inputWithSelect select {
    grid-column: 2/3;
}

div.inputWithSelect * {
    margin: 0;
    padding: 0;
    border: 0;
}

ul.ui-menu {
    overflow: scroll;
    max-height: 250px;
    display: block;
    background: white;
}